package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.rs.api.RSDirectWrapper;

@ObfuscatedName("ll")
public class DirectWrapper extends Wrapper implements RSDirectWrapper {
   @ObfuscatedName("at")
   Object obj;

   DirectWrapper(Object var1, int var2) {
      super(var2);
      this.obj = var1;
   }

   @ObfuscatedName("at")
   Object get_base() {
      return this.obj;
   }

   @ObfuscatedName("ah")
   boolean isSoft_base() {
      return false;
   }
}
